/*
 * File: repmat.c
 *
 * MATLAB Coder version            : 3.4
 * C/C++ source code generated on  : 27-Feb-2019 07:49:44
 */

/* Include Files */
#include "rt_nonfinite.h"
#include "MLS.h"
#include "repmat.h"
#include "MLS_emxutil.h"

/* Function Definitions */

/*
 * Arguments    : const double a[2]
 *                double varargin_1
 *                emxArray_real_T *b
 * Return Type  : void
 */
void repmat(const double a[2], double varargin_1, emxArray_real_T *b)
{
  int jcol;
  int ibmat;
  int itilerow;
  jcol = b->size[0] * b->size[1];
  b->size[0] = (int)varargin_1;
  b->size[1] = 2;
  emxEnsureCapacity_real_T(b, jcol);
  if (!((int)varargin_1 == 0)) {
    for (jcol = 0; jcol < 2; jcol++) {
      ibmat = jcol * (int)varargin_1;
      for (itilerow = 1; itilerow <= (int)varargin_1; itilerow++) {
        b->data[(ibmat + itilerow) - 1] = a[jcol];
      }
    }
  }
}

/*
 * File trailer for repmat.c
 *
 * [EOF]
 */
